## org.apache.myfaces.custom.stylesheet
Class Stylesheet

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIOutput
                  org.apache.myfaces.custom.stylesheet.Stylesheet

All Implemented Interfaces:
  javax.faces.component.StateHolder, javax.faces.component.ValueHolder

public class Stylesheet
extends javax.faces.component.UIOutput

Version:
  $Revision: 169651 $ $Date: 2005-05-11 12:14:23 -0400 (Wed, 11 May 2005) $
Author:
  mwessendorf (latest modification by $Author: grantsmith $)

Field Summary
`static java.lang.String` `COMPONENT_FAMILY`
`static java.lang.String` `COMPONENT_TYPE`

Constructor Summary
`Stylesheet()`

Method Summary
`java.lang.String` `getFamily()`
`java.lang.String` `getPath()`
`void` `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` `saveState(javax.faces.context.FacesContext context)`
`void` `setPath(java.lang.String path)`

Methods inherited from class javax.faces.component.UIOutput
`getConverter, getLocalValue, getValue, setConverter, setValue`

Methods inherited from class javax.faces.component.UIComponentBase

`addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### Stylesheet

    public Stylesheet()

Method Detail

### getFamily

    public java.lang.String getFamily()

### getPath

    public java.lang.String getPath()

### setPath

    public void setPath(java.lang.String path)

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)